<!- Copyright (c) Microsoft Corporation. All rights reserved. -->
<HTML DIR="LTR">

<HEAD>
	<TITLE>Makefile Project Wizard</TITLE>
	<META NAME="vs_targetSchema" CONTENT="http://schemas.microsoft.com/intellisense/ie5">
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
	<META HTTP-EQUIV="MSThemeCompatible" CONTENT="Yes">
	<LINK ID="LINKURL" REL="stylesheet" HREF="../../../../../1033/NewStyles.css">

	<SYMBOL NAME="SAFE_PROJECT_NAME" TYPE=text></SYMBOL>
	<SYMBOL NAME="UPPER_CASE_SAFE_PROJECT_IDENTIFIER_NAME" TYPE=text></SYMBOL>
	
	<SYMBOL NAME="BUILD_COMMAND_LINE_DEBUG" TYPE=text></SYMBOL>
	<SYMBOL NAME="CLEAN_COMMAND_LINE_DEBUG" TYPE=text></SYMBOL>
	<SYMBOL NAME="REBUILD_COMMAND_LINE_DEBUG" TYPE=text></SYMBOL>
	<SYMBOL NAME="OUTPUT_DEBUG" TYPE=text></SYMBOL>
	<SYMBOL NAME="PREPROCESSOR_DEFINES_DEBUG" TYPE=text></SYMBOL>
	<SYMBOL NAME="INCLUDE_PATH_DEBUG" TYPE=text></SYMBOL>
	<SYMBOL NAME="FORCED_INCLUDED_FILES_DEBUG" TYPE=text></SYMBOL>
	<SYMBOL NAME="ASSEMBLY_PATH_DEBUG" TYPE=text></SYMBOL>
	<SYMBOL NAME="FORCED_USING_ASSEMBLIES_DEBUG" TYPE=text></SYMBOL>

	<SYMBOL NAME="BUILD_COMMAND_LINE" TYPE=text></SYMBOL>
	<SYMBOL NAME="CLEAN_COMMAND_LINE" TYPE=text></SYMBOL>
	<SYMBOL NAME="REBUILD_COMMAND_LINE" TYPE=text></SYMBOL>
	<SYMBOL NAME="OUTPUT" TYPE=text></SYMBOL>
	<SYMBOL NAME="RELEASE_SAME_AS_DEBUG" TYPE=checkbox VALUE=true></SYMBOL>
	<SYMBOL NAME="PREPROCESSOR_DEFINES" TYPE=text></SYMBOL>
	<SYMBOL NAME="INCLUDE_PATH" TYPE=text></SYMBOL>
	<SYMBOL NAME="FORCED_INCLUDED_FILES" TYPE=text></SYMBOL>
	<SYMBOL NAME="ASSEMBLY_PATH" TYPE=text></SYMBOL>
	<SYMBOL NAME="FORCED_USING_ASSEMBLIES" TYPE=text></SYMBOL>
</HEAD>

<BODY style="overflow:visible;" bgcolor="#EBEBEB" leftmargin="0" topmargin="0" rightmargin="0" bottommargin="0" onload="InitDocument(document);" onkeydown="if (!bValidating) OnKey();" ONKEYPRESS="if (!bValidating) OnPress();">

<TABLE CLASS="ONE" HEIGHT="100%" WIDTH="100%" BORDER="0" CELLPADDING="0" CELLSPACING="0">
<COL CLASS="LinkPane"><COL>

  <!--OPEN OF INTRODUCTORY INFORMATION TABLE//-->
  <TR VALIGN="TOP">
	<TD HEIGHT="79" WIDTH="100%" COLSPAN="2">
	 <TABLE CLASS="TWO" BORDER="0" CELLPADDING="0" CELLSPACING="0">
	 <COL WIDTH="12"><COL><COL WIDTH="12">
	  <TR>
	   <TD VALIGN="TOP" HEIGHT="12" WIDTH="12">
	  	&nbsp;
	   </TD>
  
	   <TD VALIGN="TOP" HEIGHT="12">
	  	&nbsp;
	   </TD>
  
	   <TD VALIGN="TOP" HEIGHT="12" WIDTH="12">
	  	&nbsp;
	   </TD>
  
	   <TD CLASS="IMAGE" VALIGN="BOTTOM" WIDTH="110" ROWSPAN="2">
		<DIV CLASS="SMALLA" ID="Layer1">
		 <IMG CLASS="SMALLEST" SRC="..\..\Images\MkFileWiz.gif" WIDTH="63" HEIGHT="63" ALT="" BORDER="0">
		</DIV>
	   </TD>

	   <TD VALIGN="TOP" HEIGHT="12" WIDTH="6" ROWSPAN="2">
	  	&nbsp;
	   </TD>
	  </TR>
	 
	  <TR>
	   <TD VALIGN="TOP" HEIGHT="65" WIDTH="12">
	  	&nbsp;
	   </TD>
	  
	   <TD VALIGN="TOP" HEIGHT="65">
		<H4 CLASS="HEAD" ID="HEAD">Welcome to the Makefile Project Wizard</H4>
		<P CLASS="SUBHEAD" ID="SUBHEAD">This wizard generates a makefile project.</P>
	   </TD>
	  
	   <TD VALIGN="TOP" HEIGHT="65" WIDTH="12">
	  	&nbsp;
	   </TD>
	  </TR>
	 
	  <TR>
	   <TD VALIGN="TOP" CLASS="RULE" COLSPAN="5" HEIGHT="2">
		<TABLE BORDER="0" WIDTH="100%" HEIGHT="1" CELLPADDING="0" CELLSPACING="0">
	  	 <TR VALIGN="TOP">
	  	  <TD HEIGHT="1" WIDTH="100%" BGCOLOR="BUTTONSHADOW"></TD>
	  	  <TD HEIGHT="1" WIDTH="1" BGCOLOR="WINDOW"></TD>
	  	 </TR>
		</TABLE>
	   </TD>
	  </TR>
	 </TABLE>
	</TD>
  </TR>
  <!--CLOSE OF INTRODUCTORY INFORMATION TABLE//-->

  <!--OPEN OF NAVIGATION, CONTENT, AND BUTTON TABLES//-->
  <TR VALIGN="TOP">
	<TD CLASS="Three" VALIGN="TOP" HEIGHT="100%" WIDTH="100%">
	 <TABLE CLASS="fixedSize" HEIGHT="100%" WIDTH="100%" BORDER="0" CELLPADDING="0" CELLSPACING="0">
  	  <TR VALIGN="TOP">
	   <TD CLASS="threeCustom" VALIGN="TOP">
	   <!--OPEN OF NAVIGATION TABLE//-->

	    <TABLE CLASS="THREE" BORDER="0" CELLPADDING="0" CELLSPACING="0">
		<COL WIDTH="12"><COL><COL WIDTH="1">
		 <TR>
	   	  <TD VALIGN="TOP" COLSPAN="3" HEIGHT="12">
	  		&nbsp;
		  </TD>
		 </TR>
		 <TR>
	   	  <TD VALIGN="TOP" HEIGHT="100%">
	  		&nbsp;
		  </TD>
	   	  <TD VALIGN="TOP" HEIGHT="100%">
	   	  <!--OPEN OF NAVIGATIONAL LINKS//-->

		  	<DIV CLASS="LINKSELECTED">
	 	   	 <SPAN CLASS="VERTLINE1">
			  <IMG SRC="../../Images/spacer.gif" WIDTH="1" HEIGHT="1" ALT="" BORDER="0">
			 </SPAN>
			 <SPAN CLASS="HORILINE1">
			  <TABLE WIDTH="167" HEIGHT="100%" BORDER="0" CELLPADDING="0" CELLSPACING="0">
			   <TR VALIGN="TOP">
			    <TD CLASS="DOTTEDLINE" HEIGHT="1">
				</TD>
			   </TR>
			   <TR VALIGN="TOP">
			    <TD HEIGHT="100%">
				 <IMG SRC="../../Images/spacer.gif" WIDTH="1" HEIGHT="28" ALT="" BORDER="0">
			    </TD>
			   </TR>
			   <TR VALIGN="TOP">
			    <TD CLASS="DOTTEDLINE" HEIGHT="1">
			    </TD>
			   </TR>
			  </TABLE>
			 </SPAN>
			 <TABLE WIDTH="160" HEIGHT="28" BORDER="0" CELLPADDING="0" CELLSPACING="0" CLASS="LINKTEXTSELECTED">
			  <TR VALIGN="MIDDLE">
			   <TD WIDTH="100%">
				<SPAN ID="Default" TITLE="Examine an overview of selections.">Overview</SPAN>
			   </TD>
			   <TD WIDTH="4">
				<IMG SRC="../../Images/spacer.gif" HEIGHT="1" WIDTH="4">
			   </TD>
			  </TR>
			 </TABLE>
			</DIV>
	  		
			<DIV CLASS="LINK">
			 <TABLE WIDTH="100%" HEIGHT="28" BORDER="0" CELLPADDING="0" CELLSPACING="0" CLASS="LINKTEXT">
			  <TR VALIGN="MIDDLE">
	  		   <TD WIDTH="100%">
				<SPAN CLASS="ACTIVELINK" ID="DebugConfig" TITLE="Set the debug configuration's settings." onClick="Next(document, 'DebugConfig.htm');" TABINDEX="5">Debug Configuration Settings</SPAN>
			   </TD>
	  		   <TD WIDTH="4">
			  	<IMG SRC="../../Images/spacer.gif" HEIGHT="1" WIDTH="4">
			   </TD>
			  </TR>
			 </TABLE>
			</DIV>
			
			<DIV CLASS="LINK">
			 <TABLE WIDTH="100%" HEIGHT="28" BORDER="0" CELLPADDING="0" CELLSPACING="0" CLASS="LINKTEXT">
			  <TR VALIGN="MIDDLE">
	  		   <TD WIDTH="100%">
				<SPAN CLASS="ACTIVELINK" ID="ReleaseConfig" TITLE="Set the release configuration's settings." onClick="Next(document, 'ReleaseConfig.htm');" TABINDEX="5">Release Configuration Settings</SPAN>
			   </TD>
	  		   <TD WIDTH="4">
			  	<IMG SRC="../../Images/spacer.gif" HEIGHT="1" WIDTH="4">
			   </TD>
			  </TR>
			 </TABLE>
			</DIV>
			
	   	  <!--CLOSE OF NAVIGATIONAL LINKS//-->
		  </TD>
		  <TD WIDTH="1">
		   <DIV CLASS="VERTLINE">
			 <IMG SRC="../../Images/spacer.gif" WIDTH="1" HEIGHT="1" ALT="" BORDER="0">
		   </DIV>
		  </TD>
		 </TR>
		 </TABLE>
		</TD>
	   </TR>
	   </TABLE>
			
	   <!--CLOSE OF NAVIGATION TABLE//-->
	   </TD>
  
	   <TD VALIGN="TOP" HEIGHT="100%">
	   <!--OPEN OF CONTENT AND BUTTON TABLE//-->
	   
	   	<TABLE CLASS="ONE" BORDER="0" CELLPADDING="0" CELLSPACING="0">
		<COL WIDTH="100%">
		 <TR VALIGN="TOP">
		  <TD HEIGHT="100%">
	   	  <!--OPEN OF CONTENT//-->
		  
		  	<TABLE CLASS="CONTENT" BORDER="0" CELLPADDING="0" CELLSPACING="0">
			<COL WIDTH="12"><COL WIDTH="398"><COL WIDTH="12">
 			 <TR>
  			  <TD VALIGN="TOP" HEIGHT="12" COLSPAN="3">
  				&nbsp;
  			  </TD>
 			 </TR>
 			 <TR>
 			 <TD VALIGN="TOP" WIDTH="12">
  				&nbsp;
  			  </TD>
  			  <TD VALIGN="TOP">
 				<SPAN CLASS="itemTextTop" ID="PROJECT_SETTINGS_SPAN">These are the current project settings:</SPAN>
				            
				<UL>
				    <LI CLASS="LIST">
				        <SPAN CLASS="SideBtnHidden" ID="SUMMARY1" TITLE="">
				            <LABEL FOR="SUMMARY1"></LABEL>
				         </SPAN>
				    </LI>
				   	<LI CLASS="LIST">
				        <SPAN CLASS="SideBtnHidden" ID="SUMMARY2" TITLE="">
				            <LABEL FOR="SUMMARY2"></LABEL>
				       	</SPAN>
				    </LI>
				</UL>
	  				
				<SPAN CLASS="ItemText" ID="FinishText">Click <B>Finish</B> from any window to accept the current settings.</SPAN>
	
				<P CLASS="ElementSpacer2">&nbsp;</P>
					 
              	<SPAN CLASS="ItemText" ID="README_REMINDER" TITLE="">After you create the project, see the project's readme.txt file for information about the project features and files that are generated.</SPAN>
              	
              	<P CLASS="ElementSpacer2">&nbsp;</P>
              	
              	<SPAN CLASS="ItemText" ID="WIZARD_NOTE" TITLE=""><B>NOTE: This wizard does not add any files to the project after it has been created.  The &quot;Project from Existing Source Code&quot; wizard has the ability to search for files to add to the project.</B></SPAN>
  		  	  </TD>
  
  		  	  <TD VALIGN="TOP" WIDTH="12">
  				&nbsp;
  		  	  </TD>
 		  	 </TR>
		 	</TABLE>
			
	   	  <!--CLOSE OF CONTENT//-->
		  </TD>
		 </TR>
		 <TR VALIGN="BOTTOM">
		  <TD HEIGHT="48">
	   	  <!--OPEN OF BUTTON HTML//-->
		  
		  	<TABLE HEIGHT="48" BORDER="0" CELLPADDING="0" CELLSPACING="0">
			<COL WIDTH="12"><COL><COL WIDTH="75"><COL WIDTH="4"><COL WIDTH="75"><COL WIDTH="4"><COL WIDTH="75"><COL WIDTH="12">
			 <TR>
  			  <TD VALIGN="TOP" CLASS="RULE" COLSPAN="8" HEIGHT="2">
				<TABLE BORDER="0" WIDTH="100%" HEIGHT="1" CELLPADDING="0" CELLSPACING="0">
  	 			 <TR VALIGN="TOP">
  	  			  <TD HEIGHT="1" WIDTH="100%" BGCOLOR="BUTTONSHADOW"></TD>
  	  			  <TD HEIGHT="1" WIDTH="1" BGCOLOR="WINDOW"></TD>
  	 			 </TR>
				</TABLE>
  			  </TD>
 			  </TR>
 
 			  <TR>
  			  <TD VALIGN="TOP" HEIGHT="11" COLSPAN="8">
  				&nbsp;
  			  </TD>
 			 </TR>
 
 			<TR>
  			  <TD VALIGN="MIDDLE" HEIGHT="23" WIDTH="12">
  				&nbsp;
  			  </TD>
  			  <TD VALIGN="TOP" HEIGHT="23">
  				&nbsp;
  			  </TD>
  			  <TD VALIGN="MIDDLE" HEIGHT="23" WIDTH="75">
  				<BUTTON CLASS="BUTTONS" ID="FinishBtn" onClick="OnFinish(document);">Finish</BUTTON>
  			  </TD>
  			  <TD VALIGN="MIDDLE" HEIGHT="23" WIDTH="4">
  				&nbsp;
  			  </TD>
  			  <TD VALIGN="MIDDLE" HEIGHT="23" WIDTH="75">
  				<BUTTON CLASS="BUTTONS" ID="CancelBtn" onClick="window.external.Finish(document, 'cancel');">Cancel</BUTTON>
  			  </TD>
  			  <TD VALIGN="MIDDLE" HEIGHT="23" WIDTH="4">
  				&nbsp;
  			  </TD>
  			  <TD VALIGN="MIDDLE" HEIGHT="23" WIDTH="75">
  				<BUTTON CLASS="BUTTONS" ID="HelpBtn" onClick="window.external.OnHelp('vc.appwiz.makefile.overview');">Help</BUTTON>
  			  </TD>
  			  <TD VALIGN="MIDDLE" HEIGHT="23" WIDTH="12">
  				&nbsp;
  			  </TD>
 			 </TR>
 
 			 <TR>
  			  <TD VALIGN="TOP" HEIGHT="12" COLSPAN="8">
  				&nbsp;
  			  </TD>
 			 </TR>
			</TABLE>
			
	   	  <!--CLOSE OF BUTTON HTML//-->
		  </TD>
		 </TR>
		</TABLE>
	
  	<!--CLOSE OF NAVIGATION, CONTENT, AND BUTTON TABLES//-->
 	</TD>
  </TR>
</TABLE>

</BODY>
</HTML>

<SCRIPT LANGUAGE="JSCRIPT">

var tab_array = new Array();
tab_array[0] = Default;
tab_array[1] = DebugConfig;
tab_array[2] = ReleaseConfig;

function InitDocument(document)
{
	setDirection();

	if (window.external.FindSymbol("DOCUMENT_FIRST_LOAD"))
	{
		var L_WizDialogTitle_Text = "Makefile Project Wizard";
		window.external.AddSymbol("WIZARD_DIALOG_TITLE", L_WizDialogTitle_Text);
		var strProjName = window.external.FindSymbol("PROJECT_NAME");
		var coll = document.all.tags("SYMBOL");
		var numSymbols = coll.length;
		for (i = 0; i < numSymbols; i++)
		{
			var obj = coll(i);
			if (typeof(obj.VALUE) == "undefined")
			{
				obj.VALUE = getval(obj, strProjName);
			}
		}
		window.external.SetDefaults(document);
	}
	window.external.Load(document);
	InitControls();
}

function InitControls()
{
	var L_SUMMARY1_TEXT = "Create ";
	L_SUMMARY1_TEXT += window.external.FindSymbol("OUTPUT");
	SUMMARY1.innerText = L_SUMMARY1_TEXT;
	var L_SUMMARY2_TEXT = "Debug and Release configurations";
	SUMMARY2.innerText = L_SUMMARY2_TEXT;
}

function Next(document, linkto)
{
	window.external.Next(document, linkto);
}

function OnFinish(document)
{
	OnWizFinish(document);
}

function getval(obj, strProjName)
{
	var SymbolValue = "";
	switch(obj.NAME)
	{
		case "BUILD_COMMAND_LINE_DEBUG":
			break;
		case "CLEAN_COMMAND_LINE_DEBUG":
			break;
		case "REBUILD_COMMAND_LINE_DEBUG":
			break;
		case "OUTPUT_DEBUG":
			SymbolValue = strProjName + ".exe"; 
			break;
		case "PREPROCESSOR_DEFINES_DEBUG":
			break;
		case "INCLUDE_PATH_DEBUG":
			break;
		case "FORCED_INCLUDED_FILES_DEBUG":
			break;
		case "ASSEMBLY_PATH_DEBUG":
			break;
		case "FORCED_USING_ASSEMBLIES_DEBUG":
			break;
		case  "BUILD_COMMAND_LINE":
			break;
		case "CLEAN_COMMAND_LINE":
			break;
		case  "REBUILD_COMMAND_LINE":
			break;
		case  "OUTPUT":
			SymbolValue = strProjName + ".exe"; 
			break;
		case "PREPROCESSOR_DEFINES":
			break;
		case "INCLUDE_PATH":
			break;
		case "FORCED_INCLUDED_FILES":
			break;
		case "ASSEMBLY_PATH":
			break;
		case "FORCED_USING_ASSEMBLIES":
			break;

		default:
			break;
	}
	return (SymbolValue);
}

</SCRIPT>
<SCRIPT ID="INCLUDE_COMMON" LANGUAGE="JSCRIPT"></SCRIPT>
<SCRIPT ID="INCLUDE_SCRIPT" LANGUAGE="JSCRIPT"></SCRIPT>
<SCRIPT>
	document.scripts("INCLUDE_SCRIPT").src = window.external.FindSymbol("SCRIPT_COMMON_PATH") + "/Script.js";
	document.scripts("INCLUDE_COMMON").src = window.external.FindSymbol("SCRIPT_COMMON_PATH") + "/Common.js";
</SCRIPT>
